## vtk9 9.5.2%2Bdfsg2

=== Filters/OpenTURNS/CMakeLists.txt ===
vtk_module_find_package(PRIVATE_IF_SHARED
  PACKAGE OpenTURNS
  VERSION 1.12)

if (OpenTURNS_VERSION VERSION_LESS 1.22)
  message(WARNING "Using OpenTURNS ${OpenTURNS_VERSION}, "
    "this version provides incorrect KernelSmothing results, consider updating to "
    "OpenTURNS >= 1.22")
endif ()

# XXX(openturns-1.23): This is fixed upstream.
# Detect static builds of OT and warn that patches need applied to OT to truly
# work in this configuration.
foreach (openturns_library IN LISTS OPENTURNS_LIBRARY)
  if (NOT TARGET "${openturns_library}")
    continue ()
  endif ()

  get_property(openturns_type TARGET "${openturns_library}"
    PROPERTY TYPE)
  if (NOT openturns_type STREQUAL "STATIC_LIBRARY")
    continue ()
  endif ()

  get_property(openturns_compile_definitions TARGET "${openturns_library}"
    PROPERTY INTERFACE_COMPILE_DEFINITIONS)
  if (NOT "OT_STATIC" IN_LIST openturns_compile_definitions)
    if (NOT VTK_Filters_OpenTURNS_ONLY_BUILD_NEEDED)
      message(AUTHOR_WARNING
        "OpenTURNS does not have a complete usage requirements set up for "
        "static usage before its 1.23 release. Please backport the CMake "
        "changes from https://github.com/openturns/openturns/pull/2555 for a "
        "complete fix. If only a VTK build (and no subsequent
        `find_package(VTK)` calls), this message may be suppressed by setting "
        "`VTK_Filters_OpenTURNS_ONLY_BUILD_NEEDED=1`")
    endif ()

    set_property(TARGET "${openturns_library}" APPEND
      PROPERTY
        INTERFACE_COMPILE_DEFINITIONS "OT_STATIC")
  endif ()
endforeach ()

set(classes
  vtkOTDensityMap
  vtkOTFilter
  vtkOTKernelSmoothing
  vtkOTScatterPlotMatrix
  vtkOTUtilities)

vtk_object_factory_declare(
  BASE vtkScatterPlotMatrix
  OVERRIDE vtkOTScatterPlotMatrix)

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKFILTERSOPENTURNS_EXPORT")

vtk_module_add_module(VTK::FiltersOpenTURNS
  CLASSES ${classes}
  SOURCES ${vtk_object_factory_source}
  PRIVATE_HEADERS ${vtk_object_factory_header})

vtk_module_link(VTK::FiltersOpenTURNS
  PRIVATE
    ${OPENTURNS_LIBRARY})
vtk_add_test_mangling(VTK::FiltersOpenTURNS)

=== Filters/Reduction/CMakeLists.txt ===
set(classes
  vtkToAffineArrayStrategy
  vtkToConstantArrayStrategy
  vtkToImplicitArrayFilter
  vtkToImplicitRamerDouglasPeuckerStrategy
  vtkToImplicitStrategy
  vtkToImplicitTypeErasureStrategy
)

vtk_module_add_module(VTK::FiltersReduction
  CLASSES ${classes}
)
vtk_add_test_mangling(VTK::FiltersReduction)

=== IO/Cesium3DTiles/CMakeLists.txt ===
set(classes
  vtkCesium3DTilesWriter
  vtkCesium3DTilesReader
  vtkCesiumPointCloudWriter
  vtkCesiumB3DMReader)

set(private_classes
  TreeInformation)

vtk_module_add_module(VTK::IOCesium3DTiles
  CLASSES ${classes}
  PRIVATE_CLASSES ${private_classes}
  )
vtk_add_test_mangling(VTK::IOCesium3DTiles)

=== IO/LANLX3D/CMakeLists.txt ===
set(classes
  vtkLANLX3DReader)

set(sources
  X3D_reader.cxx
  X3D_tokens.cxx)

set(private_headers
  X3D.hxx
  X3D_reader.hxx
  X3D_tokens.hxx)

vtk_module_add_module(
  VTK::IOLANLX3D
  CLASSES ${classes}
  SOURCES ${sources}
  PRIVATE_HEADERS ${private_headers})

=== IO/NetCDF/CMakeLists.txt ===
set(classes
  vtkMPASReader
  vtkNetCDFAccessor
  vtkXArrayAccessor
  vtkNetCDFCAMReader
  vtkNetCDFCFReader
  vtkNetCDFCFWriter
  vtkNetCDFPOPReader
  vtkNetCDFReader
  vtkNetCDFUGRIDReader
  vtkSLACParticleReader
  vtkSLACReader)

vtk_module_add_module(VTK::IONetCDF
  CLASSES ${classes})
vtk_add_test_mangling(VTK::IONetCDF)

=== IO/PDAL/CMakeLists.txt ===
vtk_module_find_package(PRIVATE_IF_SHARED
  PACKAGE PDAL
  VERSION 2.0)

set(classes
  vtkPDALReader)

set(pdal_libraries)
if (PDAL_VERSION VERSION_LESS "2.6")
  set(pdal_libraries pdal_util)
  if (APPLE OR WIN32)
    list(APPEND pdal_libraries
      pdalcpp)
  else()
    list(APPEND pdal_libraries
      pdal_base)
  endif()
else ()
  list(APPEND pdal_libraries
    pdalcpp)
endif ()

vtk_module_add_module(VTK::IOPDAL
  CLASSES ${classes})
vtk_module_link(VTK::IOPDAL
  NO_KIT_EXPORT_IF_SHARED
  PRIVATE
    ${pdal_libraries})

# PDAL 2.0 didn't include interfaces to its exported targets.
# Resolved in https://github.com/PDAL/PDAL/issues/2262.
if (PDAL_VERSION VERSION_LESS "2.2")
  vtk_module_include(VTK::IOPDAL
    PRIVATE
      ${PDAL_INCLUDE_DIRS})
endif ()

vtk_add_test_mangling(VTK::IOPDAL)

=== Imaging/Sources/CMakeLists.txt ===
set(classes
  vtkImageCanvasSource2D
  vtkImageEllipsoidSource
  vtkImageGaussianSource
  vtkImageGridSource
  vtkImageMandelbrotSource
  vtkImageNoiseSource
  vtkImageSinusoidSource)

vtk_module_add_module(VTK::ImagingSources
  CLASSES ${classes})
vtk_add_test_mangling(VTK::ImagingSources)

=== Infovis/BoostGraphAlgorithms/CMakeLists.txt ===
set(classes
  vtkBoostBetweennessClustering
  vtkBoostBiconnectedComponents
  vtkBoostBrandesCentrality
  vtkBoostBreadthFirstSearch
  vtkBoostBreadthFirstSearchTree
  vtkBoostConnectedComponents
  vtkBoostDividedEdgeBundling
  vtkBoostExtractLargestComponent
  vtkBoostKruskalMinimumSpanningTree
  vtkBoostLogWeighting
  vtkBoostPrimMinimumSpanningTree
  vtkBoostRandomSparseArraySource
  vtkBoostSplitTableField)

set(headers
  vtkBoostGraphAdapter.h)

vtk_module_add_module(VTK::InfovisBoostGraphAlgorithms
  CLASSES ${classes}
  HEADERS ${headers})

vtk_module_find_package(
  PACKAGE Boost
  FORWARD_VERSION_REQ EXACT
  VERSION_VAR         "@Boost_MAJOR_VERSION@.@Boost_MINOR_VERSION@.@Boost_SUBMINOR_VERSION@")
vtk_module_link(VTK::InfovisBoostGraphAlgorithms
  PUBLIC
    Boost::boost)
vtk_add_test_mangling(VTK::InfovisBoostGraphAlgorithms)

=== Rendering/OpenXR/CMakeLists.txt ===
vtk_module_find_package(PACKAGE OpenXR VERSION 1.0.31)

set(classes
  vtkOpenXRRenderWindow
  vtkOpenXRRenderWindowInteractor
  vtkOpenXRCamera
  vtkOpenXRControlsHelper
  vtkOpenXRModel
  vtkOpenXRRenderer
  vtkOpenXRInteractorStyle
  vtkOpenXRSceneObserver
  vtkOpenXRSceneComponent
  )

set(nowrap_classes
  vtkOpenXRManager
  vtkOpenXRManagerGraphics
  vtkOpenXRManagerOpenGLGraphics
  vtkOpenXRManagerConnection
  )

set(nowrap_headers
  vtkOpenXR.h
  vtkOpenXRPlatform.h
  vtkOpenXRUtilities.h
  XrExtensions.h
  XrGraphicsExtensions.h
  )

vtk_module_add_module(VTK::RenderingOpenXR
  CLASSES ${classes}
  NOWRAP_CLASSES ${nowrap_classes}
  NOWRAP_HEADERS ${nowrap_headers}
  )

vtk_module_link(VTK::RenderingOpenXR
  PUBLIC
    OpenXR::openxr_loader
    OpenXR::headers)

set(openxr_input_files
  vtk_openxr_actions.json
  vtk_openxr_binding_htc_vive_controller.json
  vtk_openxr_binding_khr_simple_controller.json
  vtk_openxr_binding_hp_mixed_reality.json
  vtk_openxr_binding_knuckles.json
  vtk_openxr_binding_microsoft_hand_interaction.json
)

foreach(inputfile ${openxr_input_files})
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/${inputfile}
    ${CMAKE_CURRENT_BINARY_DIR}/${inputfile}
    COPYONLY)
endforeach()

install(
  FILES ${openxr_input_files}
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xr_actions/"
  COMPONENT   runtime
)
vtk_add_test_mangling(VTK::RenderingOpenXR)

=== Rendering/UI/CMakeLists.txt ===

set(classes
  vtkGenericRenderWindowInteractor
)

set(headers)
set(nowrap_headers)

# Setup factory overrides and add window system specific render windows.
if (VTK_USE_X)
  # Add some custom overrides
  if (NOT VTK_DEFAULT_RENDER_WINDOW_HEADLESS)
    vtk_object_factory_declare(
      BASE vtkRenderWindowInteractor
      OVERRIDE vtkXRenderWindowInteractor)
  endif ()
  list(APPEND classes vtkXRenderWindowInteractor)
elseif (WIN32)
  # Add some custom overrides
  if (NOT VTK_DEFAULT_RENDER_WINDOW_HEADLESS)
    vtk_object_factory_declare(
      BASE vtkRenderWindowInteractor
      OVERRIDE vtkWin32RenderWindowInteractor)
    vtk_object_factory_declare(
      BASE vtkHardwareWindow
      OVERRIDE vtkWin32HardwareWindow)
  endif ()
  list(APPEND classes vtkWin32HardwareWindow vtkWin32RenderWindowInteractor)
elseif (VTK_USE_COCOA)
  # Add some custom overrides
  if (NOT VTK_DEFAULT_RENDER_WINDOW_HEADLESS)
    vtk_object_factory_declare(
      BASE vtkRenderWindowInteractor
      OVERRIDE vtkCocoaRenderWindowInteractor)
  endif ()
  list(APPEND sources
    vtkCocoaAutoreleasePool.mm
    vtkCocoaRenderWindowInteractor.mm)
  list(APPEND headers
    vtkCocoaAutoreleasePool.h
    vtkCocoaRenderWindowInteractor.h)
  list(APPEND nowrap_headers
    vtkCocoaMacOSXSDKCompatibility.h)
  # Set specified Objective-C++ flags, if any.
  if (VTK_REQUIRED_OBJCXX_FLAGS)
    set_source_files_properties(
      vtkCocoaRenderWindowInteractor.mm
      PROPERTIES
        COMPILE_FLAGS "${VTK_REQUIRED_OBJCXX_FLAGS}")
  endif ()
elseif (ANDROID)
  # Add some custom overrides
  vtk_object_factory_declare(
    BASE vtkRenderWindowInteractor
    OVERRIDE vtkAndroidRenderWindowInteractor)
  list(APPEND classes vtkAndroidRenderWindowInteractor)
  include_directories("${CMAKE_ANDROID_NDK}/sources/android/native_app_glue")
elseif (APPLE_IOS)
  # Add some custom overrides
  vtk_object_factory_declare(
    BASE vtkRenderWindowInteractor
    OVERRIDE vtkIOSRenderWindowInteractor)
  list(APPEND sources vtkIOSRenderWindowInteractor.mm)
  list(APPEND headers vtkIOSRenderWindowInteractor.h)
  # Set specified Objective-C++ flags, if any.
  if (VTK_REQUIRED_OBJCXX_FLAGS)
    set_source_files_properties(
      vtkIOSRenderWindowInteractor.mm
      PROPERTIES
        COMPILE_FLAGS "${VTK_REQUIRED_OBJCXX_FLAGS}")
  endif ()
elseif (CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
  # Add some custom overrides
  vtk_object_factory_declare(
    BASE vtkRenderWindowInteractor
    OVERRIDE vtkWebAssemblyRenderWindowInteractor)
  list(APPEND classes vtkWebAssemblyRenderWindowInteractor)
else () # use generic
  vtk_object_factory_declare(
    BASE vtkRenderWindowInteractor
    OVERRIDE vtkGenericRenderWindowInteractor)
endif ()

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKRENDERINGUI_EXPORT"
  EXTRA_INCLUDES "<vtkCollection.h>" "<vtkObjectFactoryCollection.h>" "<vtkLogger.h>" "<cstdlib>")

vtk_module_add_module(VTK::RenderingUI
  CLASSES ${classes}
  HEADERS ${headers}
  NOWRAP_HEADERS ${nowrap_headers}
  SOURCES ${sources} ${vtk_object_factory_source}
  PRIVATE_HEADERS ${vtk_object_factory_header}
  )

if (CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
  vtk_module_link_options(VTK::RenderingUI
    INTERFACE
      "$<BUILD_INTERFACE:--js-library=${CMAKE_CURRENT_SOURCE_DIR}/vtkWebAssemblyRenderWindowInteractor.js>"
      "$<INSTALL_INTERFACE:--js-library=$<INSTALL_PREFIX>/${_vtk_build_LIBRARY_DESTINATION}/vtkWebAssemblyRenderWindowInteractor.js>")
  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/vtkWebAssemblyRenderWindowInteractor.js"
    DESTINATION ${_vtk_build_LIBRARY_DESTINATION})
endif ()

if (VTK_USE_X)
  vtk_module_find_package(
    PACKAGE X11)
  vtk_module_link(VTK::RenderingUI
    PUBLIC
      X11::X11)
elseif (VTK_USE_COCOA)
  vtk_module_link(VTK::RenderingUI PUBLIC "-framework Cocoa")
endif ()

if (ANDROID)
  vtk_module_link(VTK::RenderingUI
    PRIVATE
      android)
endif ()

if (APPLE_IOS)
  vtk_module_link(VTK::RenderingUI PUBLIC "-framework UIKit")
endif ()
vtk_add_test_mangling(VTK::RenderingUI)

=== Testing/Serialization/CMakeLists.txt ===
set(classes
  vtkSerDesMock
  vtkSerDesMockObject)

vtk_module_add_module(VTK::TestingSerialization
  CLASSES ${classes})
vtk_add_test_mangling(VTK::TestingSerialization)

=== ThirdParty/fast_float/CMakeLists.txt ===
vtk_module_third_party(
  INTERNAL
    LICENSE_FILES
      "vtkfast_float/LICENSE-MIT"
    SPDX_LICENSE_IDENTIFIER
      "MIT"
    SPDX_COPYRIGHT_TEXT
      "Copyright (c) 2021 The fast_float authors"
    SPDX_DOWNLOAD_LOCATION
      "git+https://gitlab.kitware.com/third-party/fast_float.git@for/vtk-20250313-8.0.2"
    VERSION
      "8.0.2"
    STANDARD_INCLUDE_DIRS
    HEADER_ONLY
  EXTERNAL
    VERSION "7.0.0"
    PACKAGE FastFloat
    TARGETS FastFloat::fast_float
    STANDARD_INCLUDE_DIRS
    )

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/vtkfast_float.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/vtkfast_float.h")

vtk_module_install_headers(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/vtkfast_float.h")

=== debian/changelog ===
vtk9 (9.5.2+dfsg2-4ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Jan 2026 12:00:21 +0000

vtk9 (9.5.2+dfsg2-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build with openjdk-17 to avoid a JVM crash on s390x.
    - libvtk9-dev: Also depend on openjdk-17 on s390x.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 14 Dec 2025 11:12:17 +0000

vtk9 (9.5.2+dfsg2-4) unstable; urgency=medium

  * Team upload
  * Enable VTK external rendering with SDL, GLFW, etc.

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 27 Oct 2025 14:54:02 -0400

vtk9 (9.5.2+dfsg2-3) unstable; urgency=medium

  * Team upload
  * Fix vtk9-doc FTBFS

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 23 Oct 2025 20:23:59 -0400

vtk9 (9.5.2+dfsg2-2) unstable; urgency=medium

  * Team upload
  * Fix manpages suffix

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 23 Oct 2025 14:27:19 -0400

vtk9 (9.5.2+dfsg2-1) unstable; urgency=medium

  * Team upload
  * New upstream release 9.5.2+dfsg2
  * Keep embedded viskores and scn sources
  * Exclude embedded nlohmannjson/vtknlohmannjson sources
  * d/copyright: Update files and licenses
  * Raise minimum Java version from 8 to 11 (javac --release 11)
  * Add nlohmann-json3-dev dependency
  * Add PPC64 patch
  * Lower optimization to -O1 on alpha to fix FTBFS
  * Bump Standards-Version to 4.7.2
  * Drop outdated patches
  * Remove hardcoded compiler flags
  * Update man pages
  * Switch to Qt6

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 13 Oct 2025 12:11:48 -0400

vtk9 (9.3.0+dfsg1-4ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:51:47 +0200

vtk9 (9.3.0+dfsg1-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build with openjdk-17 to avoid a JVM crash on s390x.
    - libvtk9-dev: Also depend on openjdk-17 on s390x.
  * Drop Changes:
    - Python 3.13 fix for missing dict segfault (closes: #1092083).
      [Fixed in 9.3.0+dfsg1-3]

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 23:08:25 +0000

vtk9 (9.3.0+dfsg1-1.1ubuntu4) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 16:17:21 +0000

vtk9 (9.3.0+dfsg1-1.1ubuntu3) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 09:41:04 +0000

vtk9 (9.3.0+dfsg1-1.1ubuntu2) plucky; urgency=medium

  * libvtk9-dev: Also depend on openjdk-17 on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 14:41:18 +0100

vtk9 (9.3.0+dfsg1-1.1ubuntu1) plucky; urgency=medium

  [ Matthias Klose ]
  * Build with openjdk-17 to avoid a JVM crash on s390x.

  [ Colin Watson ]
  * Python 3.13 fix for missing dict segfault (closes: #1092083).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jan 2025 12:52:28 +0100

vtk9 (9.3.0+dfsg1-1.1build3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:16:55 +0100

vtk9 (9.3.0+dfsg1-1.1build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:55:50 +0100

vtk9 (9.3.0+dfsg1-1.1build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:22:11 +0000

## vtk9 9.5.2%2Bdfsg3

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.kitware.com/vtk/vtk
Repacksuffix: +dfsg1
Dversion-Mangle: auto

## vtk9 9.5.2+dfsg1

=== Domains/ParallelChemistry/CMakeLists.txt ===
set(classes
  vtkPSimpleBondPerceiver)

vtk_object_factory_declare(
  BASE      vtkSimpleBondPerceiver
  OVERRIDE  vtkPSimpleBondPerceiver)

vtk_object_factory_configure(
  SOURCE_FILE vtk_object_factory_source
  HEADER_FILE vtk_object_factory_header
  EXPORT_MACRO "VTKDOMAINSPARALLELCHEMISTRY_EXPORT")

vtk_module_add_module(VTK::DomainsParallelChemistry
  CLASSES ${classes}
  SOURCES ${vtk_object_factory_source}
  PRIVATE_HEADERS ${vtk_object_factory_header})
vtk_add_test_mangling(VTK::DomainsParallelChemistry)

=== Wrapping/Python/CMakeLists.txt ===
if (NOT DEFINED VTK_INSTALL_PYTHON_EXES)
  option(VTK_INSTALL_PYTHON_EXES "Install vtkpython and pvtkpython" ON)
  mark_as_advanced(VTK_INSTALL_PYTHON_EXES)
endif ()

# Set up rpaths
set(CMAKE_BUILD_RPATH_USE_ORIGIN 1)
if (UNIX)
  file(RELATIVE_PATH vtkpython_relpath
    "/prefix/${CMAKE_INSTALL_BINDIR}"
    "/prefix/${CMAKE_INSTALL_LIBDIR}")
  if (APPLE)
    set(vtkpython_rpath_prefix
      "@executable_path")
  else ()
    set(vtkpython_rpath_prefix
      "$ORIGIN")
  endif ()

  list(APPEND CMAKE_INSTALL_RPATH
    "${vtkpython_rpath_prefix}/${vtkpython_relpath}")
endif ()

# The interpreters are not supported in wheel builds, so skip them.
if (NOT VTK_WHEEL_BUILD)
  add_executable(vtkpython)
  target_sources(vtkpython
    PRIVATE
      vtkpython.rc
      vtkPythonAppInit.cxx)
  target_link_libraries(vtkpython
    PRIVATE
      VTK::WrappingPythonCore
      VTK::PythonInterpreter
      VTK::Python
      VTK::vtkpythonmodules
      VTK::vtksys)
  add_executable(VTK::vtkpython ALIAS vtkpython)
  if (VTK_INSTALL_PYTHON_EXES)
    install(
      TARGETS     vtkpython
      EXPORT      VTKPython
      DESTINATION "${CMAKE_INSTALL_BINDIR}")
  endif ()

  if (TARGET VTK::ParallelMPI)
    add_executable(pvtkpython)
    target_sources(pvtkpython
      PRIVATE
        vtkPythonAppInit.cxx)
    target_compile_definitions(pvtkpython
      PRIVATE
        VTK_COMPILED_USING_MPI)
    target_link_libraries(pvtkpython
      PRIVATE
        VTK::WrappingPythonCore
        VTK::PythonInterpreter
        VTK::ParallelMPI
        VTK::Python
        VTK::mpi
        VTK::vtkpythonmodules)
    add_executable(VTK::pvtkpython ALIAS pvtkpython)
    if (VTK_INSTALL_PYTHON_EXES)
      install(
        TARGETS     pvtkpython
        EXPORT      VTKPython
        DESTINATION "${CMAKE_INSTALL_BINDIR}")
    endif ()
  endif ()
endif ()

# goes in __init__.py for when vtkmodules is BUILD_STATIC
set(_vtkmodules_static_import "_load_vtkmodules_static()")
if (BUILD_SHARED_LIBS)
    string(PREPEND _vtkmodules_static_import "#")
endif ()

set(_vtkmodules_all)
set(_vtk_python_imports)
set(_vtk_python_external_imports)
foreach (_vtk_python_module IN LISTS vtk_python_wrapped_modules)
  get_property(_vtk_python_library_name
    TARGET    "${_vtk_python_module}"
    PROPERTY  "INTERFACE_vtk_module_library_name")
  string(APPEND _vtkmodules_all
    "    \'${_vtk_python_library_name}\',\n")
  string(APPEND _vtk_python_imports
    "from .${_vtk_python_library_name} import *\n")
  string(APPEND _vtk_python_external_imports
    "from vtkmodules.${_vtk_python_library_name} import *\n")
endforeach ()

set(_vtk_python_files)
foreach (_vtk_module IN LISTS vtk_modules)
  _vtk_module_get_module_property("${_vtk_module}"
    PROPERTY "python_modules"
    VARIABLE _vtk_module_python_files)
  list(APPEND _vtk_python_files
    ${_vtk_module_python_files})
endforeach()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/vtkmodules/generate_pyi.py"
  "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/vtkmodules/generate_pyi.py"
  COPYONLY)
list(APPEND _vtk_python_files
  "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/vtkmodules/generate_pyi.py")

if (BUILD_SHARED_LIBS)
  install(
    FILES       "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/vtkmodules/generate_pyi.py"
    DESTINATION "${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/vtkmodules"
    COMPONENT   "python")
endif ()

set(python_files
  vtk.py.in
  vtkmodules/__init__.py.in
  vtkmodules/all.py.in
  vtkmodules/gtk/GtkGLExtVTKRenderWindow.py
  vtkmodules/gtk/GtkGLExtVTKRenderWindowInteractor.py
  vtkmodules/gtk/GtkVTKRenderWindow.py
  vtkmodules/gtk/GtkVTKRenderWindowInteractor.py
  vtkmodules/gtk/__init__.py
  vtkmodules/numpy_interface/__init__.py
  vtkmodules/numpy_interface/algorithms.py
  vtkmodules/numpy_interface/dataset_adapter.py
  vtkmodules/numpy_interface/internal_algorithms.py
  vtkmodules/qt/QVTKRenderWindowInteractor.py
  vtkmodules/qt/__init__.py
  vtkmodules/test/BlackBox.py
  vtkmodules/test/ErrorObserver.py
  vtkmodules/test/Testing.py
  vtkmodules/test/rtImageTest.py
  vtkmodules/test/__init__.py
  vtkmodules/tk/__init__.py
  vtkmodules/tk/vtkLoadPythonTkWidgets.py.in
  vtkmodules/tk/vtkTkImageViewerWidget.py
  vtkmodules/tk/vtkTkPhotoImage.py
  vtkmodules/tk/vtkTkRenderWidget.py
  vtkmodules/tk/vtkTkRenderWindowInteractor.py
  vtkmodules/util/__init__.py
  vtkmodules/util/colors.py
  vtkmodules/util/data_model.py
  vtkmodules/util/execution_model.py
  vtkmodules/util/keys.py
  vtkmodules/util/misc.py
  vtkmodules/util/numpy_support.py
  vtkmodules/util/xarray_support.py
  vtkmodules/util/pickle_support.py
  vtkmodules/util/vtkAlgorithm.py
  vtkmodules/util/vtkConstants.py
  vtkmodules/util/vtkImageExportToArray.py
  vtkmodules/util/vtkImageImportFromArray.py
  vtkmodules/util/vtkMethodParser.py
  vtkmodules/util/vtkVariant.py
  vtkmodules/wx/__init__.py
  vtkmodules/wx/wxVTKRenderWindow.py
  vtkmodules/wx/wxVTKRenderWindowInteractor.py)

foreach (python_file IN LISTS python_files)
  # add submodules that don't begin with "_" to _vtkmodules_all
  if (python_file MATCHES "^vtkmodules\/([A-Za-z][A-Za-z0-9_]*)(\/__init__)?[.]py")
    string(APPEND _vtkmodules_all "    \'${CMAKE_MATCH_1}\',\n")
  endif ()
endforeach ()

set(_vtk_python_depends_args)
if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.27")
  list(APPEND _vtk_python_depends_args
    DEPENDS_EXPLICIT_ONLY)
endif ()

set(python_copied_modules)
foreach (python_file IN LISTS python_files)
  set(output_python_file
    "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/${python_file}")
  if (python_file MATCHES "\\.in$")
    string(REPLACE ".in" "" output_python_file "${output_python_file}")
    configure_file(
      "${python_file}"
      "${output_python_file}"
      @ONLY)
  else ()
    add_custom_command(
      OUTPUT  "${output_python_file}"
      DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${python_file}"
      COMMAND "${CMAKE_COMMAND}" -E copy_if_different
              "${CMAKE_CURRENT_SOURCE_DIR}/${python_file}"
              "${output_python_file}"
      COMMENT "Copying ${python_file} to the binary directory"
      ${_vtk_python_depends_args})
  endif ()
  if (BUILD_SHARED_LIBS)
    get_filename_component(python_file_directory "${python_file}" DIRECTORY)
    install(
      FILES       "${output_python_file}"
      DESTINATION "${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/${python_file_directory}"
      COMPONENT   "python")
  endif ()
  list(APPEND python_copied_modules
    "${output_python_file}")
endforeach ()

set(vtk_build_paths_module
  "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/vtkmodules/_build_paths.py")
if (WIN32 AND VTK_DLL_PATHS)
  set(vtk_dll_paths_python)
  foreach (vtk_dll_path IN LISTS VTK_DLL_PATHS)
    file(TO_NATIVE_PATH "${vtk_dll_path}" vtk_dll_path_native)
    string(APPEND vtk_dll_paths_python
      "    r'${vtk_dll_path_native}',\n")
  endforeach ()
  file(WRITE "${vtk_build_paths_module}"
    "paths = [\n${vtk_dll_paths_python}]\n")
  # Add the file to the zip only if required in the install tree.
  if (NOT VTK_RELOCATABLE_INSTALL AND NOT VTK_UNIFIED_INSTALL_TREE)
    list(APPEND _vtk_python_files
      "${vtk_build_paths_module}")
  endif ()
elseif (EXISTS "${vtk_build_paths_module}")
  file(REMOVE "${vtk_build_paths_module}")
endif ()

list(APPEND _vtk_python_files
  ${python_copied_modules})

set(_vtk_python_zip)
if (NOT BUILD_SHARED_LIBS)
  set(_vtk_python_zip "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/_vtk.zip")
  add_custom_command(
    OUTPUT            "${_vtk_python_zip}"
    COMMAND           ${CMAKE_COMMAND} -E tar "cfv"
                      "${_vtk_python_zip}" --format=zip ${_vtk_python_files}
    DEPENDS           ${_vtk_python_files}
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/${VTK_PYTHON_SITE_PACKAGES_SUFFIX}"
    COMMENT           "Creating _vtk.zip Python modules archive"
    ${_vtk_python_depends_args})
  install(
    FILES       "${_vtk_python_zip}"
    DESTINATION "${VTK_PYTHON_SITE_PACKAGES_SUFFIX}/"
    COMPONENT   "python")
endif ()

if (NOT VTK_ABI_NAMESPACE_NAME STREQUAL "<DEFAULT>" AND NOT DEFINED ENV{CI})
  message(WARNING "Wrappings::Python ABI does not not support the VTK_ABI_NAMESPACE_NAME "
                  "and the symbols will not be mangled.")
endif ()

add_custom_target(vtk_python_copy ALL
  DEPENDS
    ${python_copied_modules}
    ${_vtk_python_zip})

if (VTK_BUILD_TESTING)
  add_subdirectory(Testing)
endif ()

=== Examples/IO/Cxx/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8...3.12 FATAL_ERROR)
project(IO)

include(GNUInstallDirs)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")

find_package(VTK
  COMPONENTS
    CommonCore
    IOGeometry
    IOLegacy
    IOXML
    InteractionStyle
    vtksys
  OPTIONAL_COMPONENTS
    IOExport
    IOImport
    RenderingOpenGL2
    TestingRendering)
if (NOT VTK_FOUND)
  message("Skipping example: ${VTK_NOT_FOUND_MESSAGE}")
  return ()
endif ()

add_executable(DumpXMLFile MACOSX_BUNDLE
  DumpXMLFile.cxx)
target_link_libraries(DumpXMLFile
  PRIVATE
    ${VTK_LIBRARIES})

add_executable(ParticleReader MACOSX_BUNDLE
  ParticleReader.cxx)
target_link_libraries(ParticleReader
  PRIVATE
    ${VTK_LIBRARIES})

vtk_module_autoinit(
  TARGETS DumpXMLFile
          ParticleReader
  MODULES ${VTK_LIBRARIES})

if (TARGET VTK::IOExport AND TARGET VTK::IOImport)
  add_executable(objtovtp
    objtovtp.cxx)
  target_link_libraries(objtovtp
    PRIVATE
      ${VTK_LIBRARIES}
      VTK::IOExport
      VTK::IOImport
      VTK::RenderingOpenGL2
      )

  vtk_module_autoinit(
    TARGETS objtovtp
    MODULES ${VTK_LIBRARIES}
            VTK::IOExport
            VTK::IOImport
            VTK::RenderingOpenGL2
            )
endif ()

if (BUILD_TESTING)
  include(CTest)
  if (TARGET VTK::TestingRendering)
    ######## Regression Testing ########
    set(ExternalData_BINARY_ROOT ${CMAKE_CURRENT_BINARY_DIR}/ExternalData)

    list(APPEND ExternalData_URL_TEMPLATES
      # Data published by Girder
      "https://data.kitware.com/api/v1/file/hashsum/%(algo)/%(hash)/download"

      # Data published by developers using git-gitlab-push.
      "https://www.vtk.org/files/ExternalData/%(algo)/%(hash)"
    )
    include(ExternalData)

    ExternalData_add_test(IOData
      NAME    "IOExampleCxx-TestDumpXMLFile"
      COMMAND DumpXMLFile
              DATA{${CMAKE_CURRENT_SOURCE_DIR}/Testing/Data/cow.vtp}
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    ExternalData_add_test(IOData
      NAME    "IOExampleCxx-TestParticleReader"
      COMMAND ParticleReader
              DATA{${CMAKE_CURRENT_SOURCE_DIR}/Testing/Data/golf.csv}
              ${CMAKE_CURRENT_BINARY_DIR}/Testing/Temporary/TestParticleReader.vtp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    ExternalData_Add_Target(IOData)
  endif ()
endif ()

=== GUISupport/QtQuick/Testing/CMakeLists.txt ===
vtk_module_test_data(
  Data/vase_1comp.vti)

add_subdirectory(Cxx)

=== debian/changelog ===
vtk9 (9.5.2+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.5.2+dfsg1
  * d/copyright: Update files and licenses
  * Add nlohmann-json3-dev dependency
  * Drop outdated patches
  * Remove hardcoded compiler flags
  * Raise minimum Java version from 8 to 17 (javac --release 17)
  * Bump Standards-Version to 4.7.2
  * Switch from Qt5 to Qt6

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 23 Sep 2025 16:48:13 -0400

=== debian/control ===
Source: vtk9
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Gert Wollny <gewo@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>
Section: graphics
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
               chrpath,
               cmake,
               debhelper-compat (= 13),
               default-jdk [!hppa !hurd-any],
               default-libmysqlclient-dev,
               dh-sequence-python3,
               doxygen-latex,
               ghostscript,
               gnuplot-nox,
               graphviz,
               hdf5-tools,
               dh-sequence-javahelper,
               libalglib-dev,
               javahelper,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libdigest-md5-perl,
               libdouble-conversion-dev,
               libeigen3-dev,
               libexpat-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgdal-dev,
               libgl-dev,
               libgl2ps-dev,
               libglew-dev,
               libglu-dev,
               libhdf5-mpi-dev,
               libhpdf-dev,
               libjpeg-dev,
               libjs-mathjax,
               libjsoncpp-dev,
               liblz4-dev,
               libnetcdf-dev (>= 1:4.9.0),
               libogg-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libsqlite3-dev,
               libswscale-dev,
               libtbb-dev [linux-any],
               libtheora-dev,
               libtiff-dev,
               libutfcpp-dev,
               libx11-dev,
               libxdmf-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               lzma,
               nlohmann-json3-dev,
               mpi-default-dev,
               pkgconf,
               python3-dev,
               python3-matplotlib,
               python3-mpi4py,
               qt6-base-dev,
               texlive-binaries,
               x11proto-core-dev,
               xauth,
               xvfb,
               zlib1g-dev,
               sqlite3
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/vtk9
Vcs-Git: https://salsa.debian.org/science-team/vtk9.git
Homepage: https://www.vtk.org/
Rules-Requires-Root: no

Package: libvtk9-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-libmysqlclient-dev,
         libavcodec-dev,
         libavformat-dev,
         libavutil-dev,
         libc6-dev,
         libdouble-conversion-dev,
         libeigen3-dev,
         libexpat-dev,
         libfreetype-dev,
         libgdal-dev,
         libgl-dev,
         libgl2ps-dev,
         libgl1-mesa-dev | libgl-dev,
         libglew-dev,
         libglu1-mesa-dev | libglu-dev,
         libhdf5-mpi-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         liblz4-dev,
         libnetcdf-dev,
         libpng-dev,
         libpq-dev,
         libproj-dev,
         libpython3-dev,
         libswscale-dev,
         libtbb-dev [linux-any],
         libtheora-dev,
         libtiff-dev,
         libutfcpp-dev,
         libvtk9.5 (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxml2-dev,
         libxss-dev,
         libxt-dev,
         mpi-default-dev,
         vtk9 (= ${binary:Version}),
         x11proto-core-dev,
         zlib1g-dev
Suggests: vtk9-doc,
          vtk9-examples
Description: VTK header files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk9.5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-default-bin,
          vtk9-doc,
          vtk9-examples
Breaks: libvtk9.1 (<< ${source:Version}),
        libvtk9 (<< 9.1.0+really9.1.0)
Provides: ${t64:Provides}
Replaces: libvtk9.1,
          libvtk9 (<< 9.1.0+really9.1.0)
Description: VTK libraries
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.

Package: libvtk9-java
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x alpha ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
Section: java
Depends: ${java:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: java-virtual-machine,
          libvtk9-dev (= ${binary:Version}),
          vtk9-doc,
          vtk9-examples
Description: VTK - Java language support
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python3-vtk9
Architecture: any
Section: python
Depends: libvtk9.5 (= ${binary:Version}),
         python3-mpi4py,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: mayavi2,
          vtk9-doc,
          vtk9-examples
Breaks: python3-vtk6,
        python3-vtk7
Replaces: python3-vtk6,
          python3-vtk7
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the python3 bindings for VTK.

Package: vtk9
Architecture: any
Section: interpreters
Depends: libvtk9.5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: vtk9-doc,
          vtk9-examples
Description: Binaries for VTK9
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides binaries for VTK9

Package: vtk9-doc
Architecture: all
Section: doc
Depends: doc-base,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends}
Suggests: libvtk9-dev,
          vtk9-examples
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides documentation for VTK9

Package: vtk9-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libvtk9-dev,
          python3,
          python3-vtk9,
          vtk9-doc
Description: VTK examples
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides examples for VTK9

Package: libvtk9.5-qt
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk9.1-qt (<< ${source:Version})
Provides: ${t64:Provides}
Replaces: libvtk9.1-qt
Description: VTK libraries, Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK. Qt files
X-Time64-Compat: libvtk9.1-qt

Package: libvtk9-qt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libvtk9-dev (= ${binary:Version}),
         libvtk9.5-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qt6-base-dev,
Description: VTK header files, containing Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation. Qt files

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

include /usr/share/dpkg/architecture.mk

nojava_archs=hppa
nojava_os=hurd
ifeq (,$(filter $(DEB_BUILD_ARCH), $(nojava_archs))$(filter $(DEB_BUILD_ARCH_OS), $(nojava_os)))
  export JAVA_HOME=/usr/lib/jvm/default-java
  extra_flags += -DVTK_WRAP_JAVA=ON
  # increase java version from 8 to 17 to remove many warnings
  extra_flags += -DVTK_JAVA_RELEASE_VERSION:STRING=17
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc sh4))
  export DEB_CXXFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

notbb_archs=
notbb_os=hurd
ifeq (,$(filter $(DEB_BUILD_ARCH), $(notbb_archs))$(filter $(DEB_BUILD_ARCH_OS), $(notbb_os)))
  extra_flags += -DVTK_SMP_IMPLEMENTATION_TYPE:STRING="TBB"
else
  extra_flags += -DVTK_SMP_IMPLEMENTATION_TYPE:STRING="OpenMP"
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

extra_flags +=  \
	-DBUILD_SHARED_LIBS=ON \
	-DHDF5_IS_PARALLEL=OFF \
	-DVTK_BUILD_DOCUMENTATION=ON \
	-DVTK_BUILD_EXAMPLES=OFF \
	-DVTK_BUILD_TESTING=OFF \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_MODULE_ENABLE_VTK_GUISupportQtSQL:STRING="NO" \
	-DVTK_MODULE_ENABLE_VTK_GUISupportQtQuick:STRING="DONT_WANT" \
	-DVTK_GROUP_ENABLE_Qt:STRING="YES" \
	-DVTK_GROUP_ENABLE_Rendering:STRING="YES" \
	-DVTK_GROUP_ENABLE_StandAlone:STRING="YES" \
	-DVTK_GROUP_ENABLE_Views:STRING="YES" \
	-DVTK_GROUP_ENABLE_MPI:STRING="YES" \
	-DVTK_GROUP_ENABLE_Imaging:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_IOGeoJSON:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_RenderingQt:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_RenderingContextOpenGL2=YES \
	-DVTK_MODULE_ENABLE_VTK_utf8:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_InteractionWidgets:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_InteractionImage:STRING="YES" \
	-DVTK_MODULE_ENABLE_VTK_ParallelMPI:STRING="YES" \
	-DVTK_MODULE_USE_EXTERNAL_VTK_doubleconversion:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_eigen:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_expat:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_freetype:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_gl2ps:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_hdf5:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jpeg:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jsoncpp:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libproj:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libxml2:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lz4:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lzma:BOOL:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_netcdf:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_nlohmannjson:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_ogg:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_png:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_sqlite:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_theora:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_tiff:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_utf8:BOOL=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_zlib:BOOL=ON \
	-DVTK_WRAP_PYTHON=ON \
	-DVTK_USE_MPI=ON \
	-DVTK_QT_VERSION=6

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

execute_after_dh_auto_clean:
	rm -rf $(BUILDDIR)

execute_after_dh_auto_build:
	cd $(BUILDDIR) && make DoxygenDoc
	find $(BUILDDIR)/Utilities/Doxygen/doc/html/ -name "*.md5" | xargs rm -f

override_dh_auto_install:
	dh_auto_install -X.pyc -X.pyo
ifneq ($(JAVA_HOME),)
	# Correct headers for paraview
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/java/vtk.jar $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/java/vtk9.jar
endif
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/vtk-9.5/VTK-targets.cmake

execute_after_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/share/licenses
	find $(CURDIR)/debian/libvtk9-dev/ -name "*Qt*" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9-dev/ -name "libvtkRenderingPythonTkWidgets.so" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9-dev/usr/include/ -name "Q*" -exec rm {} \; || true
	find $(CURDIR)/debian/libvtk9.5/ -name "*Qt*" -exec rm {} \; || true
	find $(CURDIR)/debian/tmp/usr/share/doc/vtk-9.5/doxygen -name "_formulas.log" -exec rm {} \; || true
	find $(CURDIR)/debian/build/Utilities/Doxygen/doc/html -name "_formulas.log" -exec rm {} \; || true

# Fix privacy breach
execute_after_dh_installdocs-indep:
	find $(CURDIR)/debian/vtk9-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/raw\.githubusercontent\.com//g'
	find $(CURDIR)/debian/vtk9-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.jsdelivr\.net\/npm\/mathjax@2/\/usr\/share\/javascript\/mathjax/g'
